<?php

namespace apexl\Io\modules\payment\providers;

interface providerInterface
{
    public function getCardValidationUrl($successUrl, $cancelUrl, $localTokenId, $customerRef, $meta);
    public function retrieveToken($sessionId);
    public function attachCustomerToPaymentMethod($paymentMethodId, $email, $fullName, $customerId);
    public function capturePaymentWithToken($paymentMethodId, $customerRef, $amount, $description, $currency, $data, $metaData, $transactionData, $threeDSecureReturnUrl);
}